Subject: Re: [PATCH 00/34] put_user_pages(): miscellaneous call sites

From: Peter Zijlstra <[email-masked]>
Date: Fri, 2 Aug 2019 10:05:54 +0200

On Thu, Aug 01, 2019 at 07:16:19PM -0700, [email-masked] wrote:

> This is part a tree-wide conversion, as described in commit fc1d8e7cca2d
> ("mm: introduce put_user_page*(), placeholder versions"). That commit
> has an extensive description of the problem and the planned steps to
> solve it, but the highlites are:

That is one horridly mangled Changelog there :-/ It looks like it's
partially duplicated.

Anyway; no objections to any of that, but I just wanted to mention that
there are other problems with long term pinning that haven't been
mentioned, notably they inhibit compaction.

A long time ago I proposed an interface to mark pages as pinned, such
that we could run compaction before we actually did the pinning.